Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
GlobalForceGroup Class Reference
Inheritance diagram for GlobalForceGroup:

## Public Member Functions
| __init__ (self, name=None)
| addForce (self, force)
| removeForce (self, force)
Public Member Functions inherited from ForceGroup
| __init__ (self, name=None)
| __getitem__ (self, index)
| __len__ (self)
| asList (self)
| cleanup (self)
| disable (self)
| enable (self)
| getName (self)
| getNode (self)
| getNodePath (self)
| isEnabled (self)
| printParams (self, file=sys.stdout, targ='self')
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Additional Inherited Members
Public Attributes inherited from ForceGroup
int | fEnabled = 0
str | name = 'ForceGroup-%d' % ForceGroup.id
| node = ForceNode(self.name)
| nodePath = NodePath(self.node)
| particleEffect = None
Static Public Attributes inherited from ForceGroup
| as_list = asList
| get_node = getNode
| get_node_path = getNodePath
int | id = 1
| is_enabled = isEnabled
| notify = DirectNotifyGlobal.directNotify.newCategory('ForceGroup')
| print_params = printParams
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | name = None )

## Member Function Documentation

## ◆ addForce()

addForce | ( |  | self,
|  |  | force )

Reimplemented from ForceGroup.

## ◆ removeForce()

removeForce | ( |  | self,
|  |  | force )

Reimplemented from ForceGroup.